Package org.gradle.platform.base

## Interface Platform

- All Superinterfaces:
    `Named`
  All Known Subinterfaces:
    `JavaPlatform`, `NativePlatform`, `PlayPlatform`, `ScalaPlatform`

      public interface Platform
      extends Named

  The platform or runtime that a binary is designed to run on. Examples: the JvmPlatform defines a java runtime, while the NativePlatform defines the Operating System and Architecture for a native app.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDisplayName()` | Returns a human consumable name for this platform.
    `String` | `getName()` | The object's name.

- - ### Method Detail

    - #### getName

          @Input
          String getName()

      Description copied from interface: `Named`
      The object's name.

      Must be constant for the life of the object.

      Specified by:
        `getName` in interface `Named`
      Returns:
        The name. Never null.

    - #### getDisplayName

          @Internal
          String getDisplayName()

      Returns a human consumable name for this platform.